Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Base64 Class Reference

Encode/Decode a stream of bytes according to Base64 encoding. More...

`#include <Codecs.h>`

List of all members.

## Static Public Methods
ACE_Byte * | encode (const ACE_Byte *input, const size_t input_len, size_t *output_len)
ACE_Byte * | decode (const ACE_Byte *input, size_t *output_len)
size_t | length (const ACE_Byte *input)
## Private Methods
| ACE_Base64 ()
| ACE_Base64 (const ACE_Base64 &)
## Static Private Methods
void | init ()
| Initialize the tables for encoding/decoding.
## Static Private Attributes
const ACE_Byte | alphabet_ []
| Symbols which form the Base64 alphabet (Defined as per RFC 2045).
ACE_Byte | decoder_ []
| Alphabet used for decoding i.e decoder_[alphabet_[i = 0..63]] = i.
ACE_Byte | member_ []
const ACE_Byte | pad_ = '='
| The padding character used in the encoding.
int | init_ = 0
| Boolean to denote whether initialization is complete.
int | max_columns_ = 72
| Number of columns per line of encoded output (Can have a max value of 76).
## Friends
class | ace_dewarn_gplusplus

## Detailed Description

Encode/Decode a stream of bytes according to Base64 encoding.

This class provides methods to encode or decode a stream of bytes to/from Base64 encoding. It doesn't convert the input stream to a canonical form before encoding.

## Constructor & Destructor Documentation

ACE_Base64::ACE_Base64 | ( |  | ) | `[private]`

ACE_Base64::ACE_Base64 | ( | const ACE_Base64 & |  | ) | `[private]`

## Member Function Documentation

ACE_Byte * ACE_Base64::decode | ( | const ACE_Byte * | input,
|  | size_t * | output_len
| ) | `[static]`

  | Decodes a stream of Base64 to bytes data Parameters:
  input | Encoded Base64 data in byte stream.
  output_len | Length of the binary byte stream.
Returns: Binary data in byte stream or NULL if input data cannot be encoded.

ACE_Byte * ACE_Base64::encode | ( | const ACE_Byte * | input,
|  | const size_t | input_len,
|  | size_t * | output_len
| ) | `[static]`

  | Encodes a stream of bytes to Base64 data Parameters:
  input | Binary data in byte stream.
  input_len | Length of the byte stream.
  output_len | Length of the encoded Base64 byte stream.
Returns: Encoded Base64 data in byte stream or NULL if input data cannot be encoded.

void ACE_Base64::init | ( |  | ) | `[static, private]`

| Initialize the tables for encoding/decoding.

size_t ACE_Base64::length | ( | const ACE_Byte * | input | ) | `[static]`

  | Return the length of the encoded input data Parameters:
  input | Encoded Base64 data in byte stream.
Returns: Length of the encoded Base64 data.

## Friends And Related Function Documentation

friend class ace_dewarn_gplusplus`[friend]`

## Member Data Documentation

const ACE_Byte ACE_Base64::alphabet_`[static, private]`

| Initial value:
      "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"
Symbols which form the Base64 alphabet (Defined as per RFC 2045).

ACE_Byte ACE_Base64::decoder_`[static, private]`

| Alphabet used for decoding i.e decoder_[alphabet_[i = 0..63]] = i.

int ACE_Base64::init_ = 0`[static, private]`

| Boolean to denote whether initialization is complete.

int ACE_Base64::max_columns_ = 72`[static, private]`

| Number of columns per line of encoded output (Can have a max value of 76).

ACE_Byte ACE_Base64::member_`[static, private]`

| Alphabet used to check valid range of encoded input i.e member_[alphabet_[0..63]] = 1

const ACE_Byte ACE_Base64::pad_ = '='`[static, private]`

| The padding character used in the encoding.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Codecs.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Codecs.cpp